Agree to the Phone Number Reputation Terms of Service
Records the authenticated user’s agreement to the current Phone Number Reputation ToS. No body required. Idempotent.
Prerequisite for using any of the /v2/.../reputation/* endpoints.
POST
/
terms_of_service
/
number_reputation
/
agree
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.termsOfService.numberReputation.agree();
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.terms_of_service.number_reputation.agree()
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.TermsOfService.NumberReputation.Agree(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.termsofservice.numberreputation.NumberReputationAgreeParams;
import com.telnyx.sdk.models.termsofservice.numberreputation.NumberReputationAgreeResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
NumberReputationAgreeResponse response = client.termsOfService().numberReputation().agree();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.terms_of_service.number_reputation.agree
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->termsOfService->numberReputation->agree();
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx terms-of-service:number-reputation agree \
--api-key 'My API Key'curl --request POST \
--url https://api.telnyx.com/v2/terms_of_service/number_reputation/agree \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"terms_version": "v1.0.0",
"version": "v1.0.0",
"product_type": "branded_calling",
"agreed_at": "2025-07-10T10:30:00Z",
"created_at": "2025-07-10T10:30:00Z"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Agreement recorded.
A recorded user agreement to a product's Terms of Service. The user_id is intentionally NOT echoed back on this public surface - the caller already knows their own identity.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.termsOfService.numberReputation.agree();
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.terms_of_service.number_reputation.agree()
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.TermsOfService.NumberReputation.Agree(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.termsofservice.numberreputation.NumberReputationAgreeParams;
import com.telnyx.sdk.models.termsofservice.numberreputation.NumberReputationAgreeResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
NumberReputationAgreeResponse response = client.termsOfService().numberReputation().agree();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.terms_of_service.number_reputation.agree
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->termsOfService->numberReputation->agree();
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx terms-of-service:number-reputation agree \
--api-key 'My API Key'curl --request POST \
--url https://api.telnyx.com/v2/terms_of_service/number_reputation/agree \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"terms_version": "v1.0.0",
"version": "v1.0.0",
"product_type": "branded_calling",
"agreed_at": "2025-07-10T10:30:00Z",
"created_at": "2025-07-10T10:30:00Z"
}
}